# Barry::RecordParserBase Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::RecordParserBase:

[legend]
Collaboration diagram for Barry::RecordParserBase:

[legend]

List of all members.

## Detailed Description

Abstract base class for the following RecordParser template, that exposes some information on the specifics that the record parser can handle.

Specifically, it exposes the database name it is able to parse

Definition at line 154 of file parser.h.

The documentation for this class was generated from the following file:

- parser.h